Package Details: vtk-visit 6.1.0-6

Git Clone URL: https://aur.archlinux.org/vtk-visit.git (read-only)
Package Base: vtk-visit
Description: A software system for 3D computer graphics, image processing, and visualization (legacy version for VisIt).
Upstream URL: http://www.vtk.org/
Licenses: BSD
Provides: vtk=6.1.0
Submitter: eolianoe
Maintainer: eolianoe
Last Packager: eolianoe
Votes: 2
Popularity: 0.021440
First Submitted: 2015-10-20 16:49
Last Updated: 2017-06-29 10:07

Dependencies (39)

Required by (33)

Sources (6)

Latest Comments

eolianoe commented on 2017-05-09 08:52

@pychuang: this is now fixed, thanks.

pychuang commented on 2017-05-09 00:01

Hi, I had to install qt5-tools to build this package, but qt5-tools is not in dependencies. Though I made it work in the end, I wonder if I missed something? Thanks.

lahwaacz commented on 2016-07-12 13:59

@eolianoe: Indeed, thanks for fixing it!

eolianoe commented on 2016-07-12 12:25

@lahwaacz: Sorry, I didn't check the whole compilation. The new version is tested in a clean chroot, so everything should be fine.

lahwaacz commented on 2016-07-11 19:48

@eolianoe: thanks for the quick response, but now it stops during compilation:
https://gist.github.com/lahwaacz/f3189b5aefc9b3a0d242a1b84142d815
(edit: linked to gist because AUR does not preserve leading whitespace)

eolianoe commented on 2016-07-11 19:40

@lahwaacz: this should be fixed in 6.1.0-4

lahwaacz commented on 2016-07-11 15:39

The build fails with this error:

CMake Error at CMake/vtkCompilerExtras.cmake:42 (if):
if given arguments:

"cc (GCC) 6.1.1 20160602

Copyright (C) 2016 Free Software Foundation, Inc.

This is free software" " see the source for copying conditions. There is
NO

warranty" " not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.



" "VERSION_GREATER" "4.2.0" "AND" "BUILD_SHARED_LIBS" "AND"
"HAVE_GCC_VISIBILITY" "AND" "VTK_USE_GCC_VISIBILITY" "AND" "NOT" "MINGW"
"AND" "NOT" "CYGWIN"

Unknown arguments specified
Call Stack (most recent call first):
CMakeLists.txt:139 (include)


-- Configuring incomplete, errors occurred!